<template>
  <div class="module module-kacheln-projekte">
    {{ data.headline }}
    {{ data.text }}
    <div
      v-for="(projekt, index) in data.projekte"
      :key="index"
    >
      <div class="tile-bg bg-paper">
        <atom-image
          v-if="projekt.projekt.featuredImage"
          ratio="1x1"
          :image="projekt.projekt.featuredImage.node"
          :lazyload="false"
          class="cover-img"
        />
        {{ projekt.projekt.dachzeile }}<br>
        {{ projekt.projekt.title }}<br>
        {{ projekt.projekt.link }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type:Object,
      default: () => {},
    }
  },
  mounted() {
    console.log('kacheln-projekte.vue data: ', this.data);
  }
};
</script>

<style lang="scss">
.module-kacheln-projekte {
  // ..
}
</style>
